import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:pass_mtx/pass_mtx_method_channel.dart';

void main() {
  MethodChannelPassMtx platform = MethodChannelPassMtx();
  const MethodChannel channel = MethodChannel('pass_mtx');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getPlatformVersion(), '42');
  });
}
